<?php

/* DCMS Special
 * Дата последнего редактирования 16.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../../sys/inc/$inc.php";
}

if (isset($_GET['id'])) {
    $id = intval($_GET['id']);
} else {
    header("Location: /index.php");
}

$set['title'] = lang('Смайлы');
require_once H . 'sys/inc/thead.php';

aut();


$dir = mysql_fetch_array(mysql_query("SELECT * FROM `smiles_dir` WHERE `id` = '" . $id . "'"));

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/smiles/'>" . lang('Смайлы') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/smiles/admin/'>" . lang('Управление') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo cutStr($dir['name'], 30);
echo "</small></div><br />";

if (!isset($user)) {
    echo '<div class = "errs">Доступ закрыт</div>';
} else if (isset($user) && $user['level'] < 4) {
    echo '<div class = "errs">Доступ закрыт</div>';
} else if ($id == 0 || $id < 0) {
    echo '<div class = "errs">Директория не найдена</div>';
} else if ($id != $dir['id']) {
    echo '<div class = "errs">Директория не найдена</div>';
} else {

    $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `smiles_spis` WHERE `id_dir` = '$id'"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];

    if ($k_post == 0) {
        $doc->NoResult();
    }

    $q = mysql_query("SELECT * FROM `smiles_spis` WHERE `id_dir` = '$id' ORDER BY `id` ASC LIMIT $start, $set[p_str]");
    while ($post = mysql_fetch_array($q)) {
        echo "<table class='list-group-item-null'><tr><td class='icon14'>";
        echo "<img src='/style/smiles/$post[name].png' alt='$post[name]'/>";
        echo "</td><td class='null'>";
        echo "<span style='float:right;'>";
        echo "<a href='edit.php?id=$post[id]&amp;act=smile' title='Редактировать'><i class='fa fa-edit fa-fw'></i></a> <a href='del.php?id=$post[id]&amp;act=smile' title='Удалить'><i class='fa fa-trash-o fa-fw'></i></a>";
        echo "</span>";
        echo "$post[sim]";
        echo "</td></tr></table>";
        echo "<div class='hr'></div>";
    }

    if ($k_page > 1) {
        str('dir.php?id=' . $id . '&amp;', $k_page, $page);
    }

    echo "<div class='list-group-item-null'>";
    echo "<a href='add.php?act=smile' class='btn btn-primary btn-sm'><i class='fa fa-plus fa-fw'></i> " . lang('Добавить смайл') . "</a>";
    echo "</div>";
}

require_once H . 'sys/inc/tfoot.php';
